Bug 509645 - Okular prints landscape documents with wrong orientation when choosing landscape in print dialog
Okular prints landscape documents with wrong orientation when choosing landsc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdegraphics (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-04 10:06 EDT by Till Maas
Modified: 2011-07-22 21:53 EDT (History)
9 users (show)

See Also:
Fixed In Version: kdemultimedia-4.6.5-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-18 18:44:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 181290 None None None Never

  None (edit)
Description Till Maas 2009-07-04 10:06:43 EDT
Description of problem:
I once changed the orientation in the okular printing dialog to landscape and then back to portrait after printing. I was able to print several pdf files in portrait, but some documents are always printed in landscape modus by default. Even when I changed it to portrait, printed and then opened the print dialog again, landscape was selected.

Version-Release number of selected component (if applicable):
kdegraphics-4.2.4-1.fc10

How reproducible:
For the one document: always.

Additional info:
In KDE 3 it was possible to change some options in the printing dialog only once, this is missing in KDE 4. Also okular does not remember that I opened the "Options" in the printing dialog to unhide important printing information.
Comment 1 Till Maas 2009-07-07 17:15:39 EDT
Steps to reproduce:

1. yum install pdfjam
2. wget http://www-i9.informatik.rwth-aachen.de/dateien/lehre/57/2-1%20dw.pdf
3. pdfnup --nup 2x2 "2-1 dw.pdf"
4. okular "2-1 dw-2x2.pdf"
5. Hit CTRL-P (printing from the file menu)
6. Hit ALT-r (Properties button)
7. Notice that Landscape is selected

If "Landscape" is selected, the document won't be printed some printers, e.g. the both I tried so far. Since this option is well hidden, it is also a big source of frustration to always have to change this.
Comment 2 Steven M. Parrish 2009-09-07 22:49:43 EDT
Thank you for taking the time to report this issue.

This is an issue that needs to be addressed by the upstream developers. Please report this at http://bugs.kde.org and then add the upstream report information to this report.  We will monitor the upstream report for a resolution to this issue, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Till Maas 2009-09-11 12:44:39 EDT
There is a 8 month old bug report in KDE Bugzilla that seems to be the same bug :-(
https://bugs.kde.org/show_bug.cgi?id=181290
Comment 4 Bug Zapper 2009-11-18 07:08:53 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Steven M. Parrish 2009-11-18 16:40:25 EST
Rebasing to Rawhide.
Comment 6 Bug Zapper 2010-03-15 08:41:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Reartes Guillermo 2011-05-02 13:04:55 EDT
I am using KDE 4.6.2, Fedora 15 beta.

I put this also in https://bugs.kde.org/show_bug.cgi?id=181290

I noticed that okular is unable to detect the orientation
of some (landscape) pdf properly, then i found about this bugreport...

----

PTST_Landscape01.pdf --> single-page landscape document
PTST_Portrait01.pdf ---> single-page portrait document

----

Okular:

* Print PTST_Landscape01.pdf (default - LANDSCAPE) -> BAD ( !! a landscape doc in portrait !!)
* Print PTST_Landscape01.pdf (orientation to PORTRAIT) -> GOOD (! Incorrect behaviour !)

* Print PTST_Portrait01.pdf (default - PORTRAIT) -> GOOD
* Print PTST_Portrait01.pdf (orientation to LANDSCAPE) -> BAD (Correct behaviour)

  
LibreOffice

* Print PTST_Landscape01.pdf (default - LANDSCAPE) -> GOOD
* Print PTST_Landscape01.pdf (orientation to PORTRAIT) -> BAD (Correct behaviour)

* Print PTST_Portrait01.pdf (default - PORTRAIT) -> GOOD
* Print PTST_Portrait01.pdf (orientation to LANDSCAPE) -> BAD (Correct behaviour)

I just configured LibreOffice-Writer as the default pdf application as a workaround.

Since i am using F15, please do not close the bugreport when F13 enters EOL.
Comment 8 Bug Zapper 2011-06-02 13:57:52 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Kevin Kofler 2011-06-05 20:21:36 EDT
Here's a build for Fedora 15 for testing:
http://koji.fedoraproject.org/koji/buildinfo?buildID=246374
Comment 10 Kevin Kofler 2011-06-05 20:39:58 EDT
A build for Fedora 14 (4.6.3) is now available for testing:
http://koji.fedoraproject.org/koji/buildinfo?buildID=246376
A build for Fedora 13 (4.5.5) is now running:
http://koji.fedoraproject.org/koji/buildinfo?buildID=246378

I would like some confirmation that the patch works before pushing updates.


To be clear, "Landscape" will be selected in the printing dialog if the document is landscape, but the fix is that this will no longer rotate the document when you hit OK (so the check in comment #1 is NOT sufficient, you have to actually print the document to verify that the bug is fixed). The option preselected by default does not rotate the document, picking the other option will force rotation of the document (which is the sensible thing to do: "Landscape" now actually means Landscape).
Comment 11 Kevin Kofler 2011-06-05 20:44:36 EDT
PS: The feedback is also needed for getting the patch applied in upstream Okular.
Comment 12 Fedora Update System 2011-06-11 11:48:58 EDT
kdegraphics-4.5.5-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/kdegraphics-4.5.5-2.fc13
Comment 13 Kevin Kofler 2011-06-11 11:54:11 EDT
This will be fixed for Fedora 14 and 15 with the KDE SC 4.6.4 bugfix update already in preparation.
Comment 14 Kevin Kofler 2011-06-11 11:54:49 EDT
(Please note that the patch is NOT in upstream 4.6.4 or even 4.7 yet, upstream wants more testing to be done.)
Comment 15 Fedora Update System 2011-06-14 10:27:48 EDT
kde-l10n-4.6.4-1.fc15, kdeaccessibility-4.6.4-1.fc15, kdeadmin-4.6.4-1.fc15, kdeartwork-4.6.4-1.fc15, kdebase-4.6.4-1.fc15, kdebase-runtime-4.6.4-1.fc15, kdebase-workspace-4.6.4-2.fc15, kdebindings-4.6.4-1.fc15, kdeedu-4.6.4-1.fc15, kdegames-4.6.4-1.fc15, kdegraphics-4.6.4-1.fc15, kdelibs-4.6.4-1.fc15, kdemultimedia-4.6.4-1.fc15, kdenetwork-4.6.4-1.fc15, kdepimlibs-4.6.4-1.fc15, kdeplasma-addons-4.6.4-1.fc15, kdesdk-4.6.4-1.fc15, kdetoys-4.6.4-1.fc15, kdeutils-4.6.4-1.fc15, oxygen-icon-theme-4.6.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kde-l10n-4.6.4-1.fc15,kdeaccessibility-4.6.4-1.fc15,kdeadmin-4.6.4-1.fc15,kdeartwork-4.6.4-1.fc15,kdebase-4.6.4-1.fc15,kdebase-runtime-4.6.4-1.fc15,kdebase-workspace-4.6.4-2.fc15,kdebindings-4.6.4-1.fc15,kdeedu-4.6.4-1.fc15,kdegames-4.6.4-1.fc15,kdegraphics-4.6.4-1.fc15,kdelibs-4.6.4-1.fc15,kdemultimedia-4.6.4-1.fc15,kdenetwork-4.6.4-1.fc15,kdepimlibs-4.6.4-1.fc15,kdeplasma-addons-4.6.4-1.fc15,kdesdk-4.6.4-1.fc15,kdetoys-4.6.4-1.fc15,kdeutils-4.6.4-1.fc15,oxygen-icon-theme-4.6.4-2.fc15
Comment 16 Fedora Update System 2011-06-14 10:35:22 EDT
kde-l10n-4.6.4-1.fc14, kdeaccessibility-4.6.4-1.fc14, kdeadmin-4.6.4-1.fc14, kdeartwork-4.6.4-1.fc14, kdebase-4.6.4-1.fc14, kdebase-runtime-4.6.4-1.fc14, kdebase-workspace-4.6.4-2.fc14, kdebindings-4.6.4-1.fc14, kdeedu-4.6.4-1.fc14, kdegames-4.6.4-1.fc14, kdegraphics-4.6.4-1.fc14, kdelibs-4.6.4-1.fc14, kdemultimedia-4.6.4-1.fc14, kdenetwork-4.6.4-1.fc14, kdepimlibs-4.6.4-1.fc14, kdeplasma-addons-4.6.4-1.fc14, kdesdk-4.6.4-1.fc14, kdetoys-4.6.4-1.fc14, kdeutils-4.6.4-1.fc14, oxygen-icon-theme-4.6.4-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kde-l10n-4.6.4-1.fc14,kdeaccessibility-4.6.4-1.fc14,kdeadmin-4.6.4-1.fc14,kdeartwork-4.6.4-1.fc14,kdebase-4.6.4-1.fc14,kdebase-runtime-4.6.4-1.fc14,kdebase-workspace-4.6.4-2.fc14,kdebindings-4.6.4-1.fc14,kdeedu-4.6.4-1.fc14,kdegames-4.6.4-1.fc14,kdegraphics-4.6.4-1.fc14,kdelibs-4.6.4-1.fc14,kdemultimedia-4.6.4-1.fc14,kdenetwork-4.6.4-1.fc14,kdepimlibs-4.6.4-1.fc14,kdeplasma-addons-4.6.4-1.fc14,kdesdk-4.6.4-1.fc14,kdetoys-4.6.4-1.fc14,kdeutils-4.6.4-1.fc14,oxygen-icon-theme-4.6.4-2.fc14
Comment 17 Fedora Update System 2011-06-23 23:28:13 EDT
kdegraphics-4.5.5-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2011-06-28 16:25:56 EDT
Package kdelibs-4.6.4-5.fc15, kdepimlibs-4.6.4-2.fc15, kde-l10n-4.6.4-1.fc15, kdeaccessibility-4.6.4-1.fc15, kdeadmin-4.6.4-1.fc15, kdeartwork-4.6.4-1.fc15, kdebase-runtime-4.6.4-1.fc15, kdebase-workspace-4.6.4-2.fc15, kdebindings-4.6.4-1.fc15, kdeedu-4.6.4-1.fc15, kdegames-4.6.4-1.fc15, kdemultimedia-4.6.4-1.fc15, kdenetwork-4.6.4-1.fc15, kdeplasma-addons-4.6.4-1.fc15, kdesdk-4.6.4-1.fc15, kdetoys-4.6.4-1.fc15, kdeutils-4.6.4-1.fc15, oxygen-icon-theme-4.6.4-2.fc15, kdebase-4.6.4-2.fc15, kdegraphics-4.6.4-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdelibs-4.6.4-5.fc15 kdepimlibs-4.6.4-2.fc15 kde-l10n-4.6.4-1.fc15 kdeaccessibility-4.6.4-1.fc15 kdeadmin-4.6.4-1.fc15 kdeartwork-4.6.4-1.fc15 kdebase-runtime-4.6.4-1.fc15 kdebase-workspace-4.6.4-2.fc15 kdebindings-4.6.4-1.fc15 kdeedu-4.6.4-1.fc15 kdegames-4.6.4-1.fc15 kdemultimedia-4.6.4-1.fc15 kdenetwork-4.6.4-1.fc15 kdeplasma-addons-4.6.4-1.fc15 kdesdk-4.6.4-1.fc15 kdetoys-4.6.4-1.fc15 kdeutils-4.6.4-1.fc15 oxygen-icon-theme-4.6.4-2.fc15 kdebase-4.6.4-2.fc15 kdegraphics-4.6.4-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/kde-l10n-4.6.4-1.fc15,kdeaccessibility-4.6.4-1.fc15,kdeadmin-4.6.4-1.fc15,kdeartwork-4.6.4-1.fc15,kdebase-4.6.4-2.fc15,kdebase-runtime-4.6.4-1.fc15,kdebase-workspace-4.6.4-2.fc15,kdebindings-4.6.4-1.fc15,kdeedu-4.6.4-1.fc15,kdegames-4.6.4-1.fc15,kdegraphics-4.6.4-2.fc15,kdelibs-4.6.4-5.fc15,kdemultimedia-4.6.4-1.fc15,kdenetwork-4.6.4-1.fc15,kdepimlibs-4.6.4-2.fc15,kdeplasma-addons-4.6.4-1.fc15,kdesdk-4.6.4-1.fc15,kdetoys-4.6.4-1.fc15,kdeutils-4.6.4-1.fc15,oxygen-icon-theme-4.6.4-2.fc15
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2011-07-07 09:03:27 EDT
kde-l10n-4.6.5-1.fc15,kdeaccessibility-4.6.5-1.fc15,kdeadmin-4.6.5-1.fc15,kdeartwork-4.6.5-1.fc15,kdebase-4.6.5-1.fc15,kdebase-runtime-4.6.5-1.fc15,kdebase-workspace-4.6.5-2.fc15,kdebindings-4.6.5-1.fc15,kdeedu-4.6.5-1.fc15,kdegames-4.6.5-1.fc15,kdegraphics-4.6.5-3.fc15,kdelibs-4.6.5-1.fc15,kdemultimedia-4.6.5-1.fc15,kdenetwork-4.6.5-1.fc15,kdepimlibs-4.6.5-1.fc15,kdeplasma-addons-4.6.5-1.fc15,kdesdk-4.6.5-1.fc15,kdetoys-4.6.5-1.fc15,kdeutils-4.6.5-2.fc15,oxygen-icon-theme-4.6.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kde-l10n-4.6.5-1.fc15,kdeaccessibility-4.6.5-1.fc15,kdeadmin-4.6.5-1.fc15,kdeartwork-4.6.5-1.fc15,kdebase-4.6.5-1.fc15,kdebase-runtime-4.6.5-1.fc15,kdebase-workspace-4.6.5-2.fc15,kdebindings-4.6.5-1.fc15,kdeedu-4.6.5-1.fc15,kdegames-4.6.5-1.fc15,kdegraphics-4.6.5-3.fc15,kdelibs-4.6.5-1.fc15,kdemultimedia-4.6.5-1.fc15,kdenetwork-4.6.5-1.fc15,kdepimlibs-4.6.5-1.fc15,kdeplasma-addons-4.6.5-1.fc15,kdesdk-4.6.5-1.fc15,kdetoys-4.6.5-1.fc15,kdeutils-4.6.5-2.fc15,oxygen-icon-theme-4.6.5-1.fc15
Comment 20 Fedora Update System 2011-07-07 09:43:39 EDT
kde-l10n-4.6.5-1.fc14, kdeaccessibility-4.6.5-1.fc14, kdeadmin-4.6.5-1.fc14, kdeartwork-4.6.5-1.fc14, kdebase-4.6.5-1.fc14, kdebase-runtime-4.6.5-1.fc14, kdebase-workspace-4.6.5-2.fc14, kdebindings-4.6.5-1.fc14, kdeedu-4.6.5-1.fc14, kdegames-4.6.5-1.fc14, kdegraphics-4.6.5-3.fc14, kdelibs-4.6.5-1.fc14, kdemultimedia-4.6.5-1.fc14, kdenetwork-4.6.5-1.fc14, kdepimlibs-4.6.5-1.fc14, kdeplasma-addons-4.6.5-1.fc14, kdesdk-4.6.5-1.fc14, kdetoys-4.6.5-1.fc14, kdeutils-4.6.5-2.fc14, oxygen-icon-theme-4.6.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kde-l10n-4.6.5-1.fc14,kdeaccessibility-4.6.5-1.fc14,kdeadmin-4.6.5-1.fc14,kdeartwork-4.6.5-1.fc14,kdebase-4.6.5-1.fc14,kdebase-runtime-4.6.5-1.fc14,kdebase-workspace-4.6.5-2.fc14,kdebindings-4.6.5-1.fc14,kdeedu-4.6.5-1.fc14,kdegames-4.6.5-1.fc14,kdegraphics-4.6.5-3.fc14,kdelibs-4.6.5-1.fc14,kdemultimedia-4.6.5-1.fc14,kdenetwork-4.6.5-1.fc14,kdepimlibs-4.6.5-1.fc14,kdeplasma-addons-4.6.5-1.fc14,kdesdk-4.6.5-1.fc14,kdetoys-4.6.5-1.fc14,kdeutils-4.6.5-2.fc14,oxygen-icon-theme-4.6.5-1.fc14
Comment 21 Fedora Update System 2011-07-18 18:43:51 EDT
kde-l10n-4.6.5-1.fc15, kdeaccessibility-4.6.5-1.fc15, kdeadmin-4.6.5-1.fc15, kdeartwork-4.6.5-1.fc15, kdebase-4.6.5-1.fc15, kdebase-runtime-4.6.5-1.fc15, kdebase-workspace-4.6.5-2.fc15, kdebindings-4.6.5-1.fc15, kdeedu-4.6.5-1.fc15, kdegames-4.6.5-1.fc15, kdegraphics-4.6.5-3.fc15, kdelibs-4.6.5-1.fc15, kdenetwork-4.6.5-1.fc15, kdepimlibs-4.6.5-1.fc15, kdeplasma-addons-4.6.5-1.fc15, kdesdk-4.6.5-1.fc15, kdetoys-4.6.5-1.fc15, kdeutils-4.6.5-2.fc15, oxygen-icon-theme-4.6.5-1.fc15, kdemultimedia-4.6.5-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2011-07-22 21:52:41 EDT
kdemultimedia-4.6.5-2.fc14, kde-l10n-4.6.5-1.fc14, kdeaccessibility-4.6.5-1.fc14, kdeadmin-4.6.5-1.fc14, kdeartwork-4.6.5-1.fc14, kdebase-4.6.5-1.fc14, kdebase-runtime-4.6.5-1.fc14, kdebase-workspace-4.6.5-2.fc14, kdebindings-4.6.5-1.fc14, kdeedu-4.6.5-1.fc14, kdegames-4.6.5-1.fc14, kdegraphics-4.6.5-3.fc14, kdelibs-4.6.5-1.fc14, kdenetwork-4.6.5-1.fc14, kdepimlibs-4.6.5-1.fc14, kdeplasma-addons-4.6.5-1.fc14, kdesdk-4.6.5-1.fc14, kdetoys-4.6.5-1.fc14, kdeutils-4.6.5-2.fc14, oxygen-icon-theme-4.6.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.